# Upgrading GROWI to v3.4.x

v3.4 uses different versions about Node.js and middlewares as below.

| GROWI | <= v3.3.x | v3.4.x |
| :---: | :---: | :---: |
| Node.js | v8 | v10 |
| MongoDB | 3.4 | 3.6 |
| Elasticsearch | 5.3 | 6.6 |

Also, the docker image that is used by [growi-docker-compose](https://github.com/weseek/growi-docker-compose) is modified to the image that provided by official [docker.elastic.co](https://www.docker.elastic.co/) instead of [docker-library/elasticsearch](https://github.com/docker-library/elasticsearch/blob/6854914f0b890840c75b6db9eeaefbc26177df9c/5/Dockerfile).


## The case using on premise

### Upgrade Node.js

1. Upgrade Node.js to v10

### Upgrade MongoDB

1. Upgrade MongoDB 3.6 or above
1. You do not need to migrate data

### Upgrade Elasticsearch

1. Upgrade Elasticsearch 6.6 or above and install plugins that were required so far
    - Since index data can be rebuilt from GROWI's management screen, it can be discarded.

## The case using [growi-docker-compose](https://github.com/weseek/growi-docker-compose)

1. Remove existing containers

    ```bash
    # Remove MongoDB, Elasticsearch containers
    docker-compose rm mongodb elasticsearch
    ```

1. Remove Elasticsearch volumes

    ::: danger
    Please check the actual volume name with `docker volume ls`
    :::

    ```bash
    docker volume rm growi_es_data
    docker volume rm growi_es_plugins
    ```

1. Launch

## After launching GROWI

1. Re-build index on "Full Text Search management" page (`/admin/search`)