# Upgrading GROWI to v3.8.x

For those using Elasticsearch, the health check method has changed.

## The health check method for Elasticsearch

::: tip
- If you are not using Elasticsearch or you are not using X-Pack
  role-based access control, this change does not impact you.
- If you are not using [Healthcheck API](https://docs.growi.org/redoc.html#tag/Healthcheck) 
  based service health monitoring, this change does not impact you.
:::

Until GROWI v3.7, the [Healthcheck API](https://docs.growi.org/redoc.html#tag/Healthcheck)
used Elasticsearch's information acquisition [Nodes info API](https://www.elastic.co/guide/en/elasticsearch/reference/current/cluster-nodes-info.html).
However, this API requires a very high level privilege called `cluster:monitor/nodes/info`.
Therefore, we have changed to use the [Cluster health API](https://www.elastic.co/guide/en/elasticsearch/reference/current/cluster-health.html) 
instead beginning with GROWI v3.8.

In accordance with this change, setting up X-Pack will require the
`cluster:monitor/health` privilege.

### Setting required privileges

Please proceed with the following steps to set up your privileges

1. Add the `cluster:monitor/health` privilege to your Elasticsearch authenticated user role.
2. If the `cluster:monitor/nodes/info` privilege is no longer otherwise needed,
  remove it from your Elasticsearch authenticated user role.

Reference: [Elasticsearch Reference: User authorization](https://www.elastic.co/guide/en/elasticsearch/reference/current/authorization.html)

### Check before upgrading

- [x] Check if you are using Elasticsearch and/or X-Pack role-based access control.
- [x] Check that your Elasticsearch authenticated user role has the `cluster:monitor/health` privilege assigned.
- [x] Check if you are using Healthcheck API based service health monitoring
