# Upgrading GROWI to v4.0.x

The CSS framework has been changed from Bootstrap 3 to Bootstrap 4.
In accordance with this change, the layout and theme mechanisms have been rebuilt.

## Crowi Classic Layout has been  removed

::: tip

- If you are not using Crowi Classic Layout, this change does not affect you.
    - The default setting for a clean install is Growi Enhanced Layout.

:::

Environments using Crowi Classic Layout will automatically be changed to use Growi Enhanced Layout on upgrade.

## Crowi Classic Behavior has been removed

::: tip

- If you are not using Crowi Classic Behavior, this change does not affect you.
    - Until v3.8, the default setting for a clean install was GROWI Simplified Behavior.

:::

As of v4.0.0, behavior mode selection has been disabled.  If you were using Crowi Classic Behavior,
the setting will automatically be changed to GROWI Simplified Behavior on upgrade, and the ability to
change this setting will be removed from the management page.

## Some themes have been consolidated

::: tip

- If you are not using the `default-dark` or `blue-night` themes, this change does not affect you.

:::

Beginning with v4.0.0, we have begun supporting "Dark Mode" as a theme option.  When choosing your theme, you
will be able to select "Light Mode" or "Dark Mode" to apply to your chosen theme.  Therefore, the `default-dark`
theme will become the Dark Mode version of the `default` theme, and `blue-night` will become the Dark Mode
version of the `mono-blue` theme.  These settings changes will be applied automatically on upgrade.

### Check before upgrading

- [x] Check the Customization setting on the Management page to determine whether:
    - You are using Crowi Classic Layout
    - You are using Crowi Classic Behavior
    - You are using the `default-dark` or `blue-night` themes
- [x] Inform your GROWI users of the impending changes.
