# Upgrading GROWI to v4.3.x

GROWI v4.3 uses `lerna` to manage package dependencies.

GROWI v4.3 includes some official plugins in default.  
Users no longer need to install [growi-plugin-lsx](https://github.com/weseek/growi-plugin-lsx), [growi-plugin-pukiwiki-like-linker](https://github.com/weseek/growi-plugin-pukiwiki-like-linker) and [growi-plugin-attachment-refs](https://github.com/weseek/growi-plugin-attachment-refs) before build client.


## Change build procedure

::: warning
This section content is a necessary operation when your system is built at the user's own scripts.  
The users who uses the official docker image can skip this section.
:::

1. Use `npx lerna bootstrap` instead of `yarn install` to install dependencies.
1. Remove following operations from your build code if exist.
    - `yarn add growi-plugin-lsx`
    - `yarn add growi-plugin-pukiwiki-like-linker`
    - `yarn add growi-plugin-attachment-refs`
    - `yarn add -D react-images@1.0.0 react-motion`


## About new Slack Integration (update: 2021.09.08)

::: warning
In v4.3, we implemented a new Slack integration function using Slackbot, but since the quality was not practical, we refactored it in v4.4 series without ensuring backward compatibility.
As a result, Slackbot features in the v4.3 series will no longer be available.

If you want to use the new Slack integration function, please upgrade to v4.4 series.

:::

## Check before upgrading

- [x] Build GROWI at the user's own scripts
- [x] Install plugin packages with `yarn add`

