# Upgrading GROWI to v4.5.x

In v4.5, the data structure of some REST API responses have changed.
If you have your own operation such as automation that is using an API, you need to take action.



## REST API Response Data Structure Changes

::: tip
If you are not using automation that relies on REST API, you don't need to take any action.
:::

The target is an API whose endpoint URL starting with `/_api/v3`.

### `/_api/v3/bookmarks/info` response example

### Before

```json
{
    "data": {
        "sumOfBookmarks": 0,
        "isBookmarked": false
    }
}
```

#### After

```json
{
    "sumOfBookmarks": 0,
    "isBookmarked": false
}
```



## Check before upgrading

- [x] Are you performing an operation that is using the GROWI API (endpoint starting with `/_api/v3`)?
