# Upgrading to GROWI v6.2.x

GROWI v6.2 adds new features such as presentation slides by [Marp](https://marp.app/).

In addition, this version has a breaking change in handling the user homepage. We recommend that all administrators read this document carefully.


## Table of Contents

[[toc]]

## Handling the user homepage (`/user/username`) and descendants

In GROWI v6.1.x and earlier, it was not possible to delete the user homepage (`/user/username`) that was automatically created when a new user was registered.
(The user homepage will remain even after the user is deleted)

From GROWI v6.2.0 onwards, you can now use the option to set the behavior to completely delete the user homepage and its descendants when the user is deleted.
(disabled by default)

### Initializing the user homepage when registering as a new user

In addition, the behavior of a new user registration when a home page with the new user's name already exists has also been changed.
Specifically, the existing page is completely deleted and recreated for the new user.

For more information, see the section [Security settings#user-homepage-deletion](/en/admin-guide/management-cookbook/security.html#user-homepage-deletion).

## Check before upgrading

- [x] Check how to handle the user homepage (`/user/username`) and its descendants.
- [x] Check the case some pages are initialized (completely deleted) when a new user registers.
