# Upgrading to GROWI v6.3.x

GROWI v6.3 adds a new feature (beta) to import and synchronize users/groups from LDAP/Keycloak.

<ContextualBlock context="docs-growi-org">

In addition, this version deprecated the endpoint for MongoDB GridFS that was maintained for compatibility with older systems.

</ContextualBlock>

## Table of Contents

[[toc]]

<ContextualBlock context="docs-growi-org">

## [Deprecated] Removed endpoint for MongoDB GridFS used in v3.3 and earlier

::: tip
Only relevant for systems built before the GROWI v3.3 series, where attachments were managed with MongoDB GridFS.
:::

In systems prior to v3.3 that were configured to upload files using MongoDB GridFS, when a file was uploaded, it was referenced using the URL `/attachment/{pageID}/{fileName}`.

With this upgrade, this endpoint has been deprecated, so the file referenced by this URL will no longer be available.

For pages containing such URLs in markdown, please rewrite them to `/attachment/{attachmentId}` format or re-upload the file.

</ContextualBlock>

## Import and synchronize users/groups from LDAP/Keycloak

GROWI v6.3 now includes a feature introduced to import users and user groups data managed in external systems into GROWI.  
You can choose to import from an LDAP server or Keycloak. Keycloak integrated with LDAP is also covered.  
This feature can also track and synchronize changes to users and user groups once imported.

- You can import and synchronize by operating from the management screen
- **As of 2023.12.14, the document is under construction.**
  - For the external specifications, please see [Dev Wiki (in Japanese)](https://dev.growi.org/646d5637019e02272a42cf86).


## Check before upgrading

<ContextualBlock context="docs-growi-org">

- [x] Check your GROWI has constructed before v3.3 series and configured file uploading by MongoDB GridFS
  - [x] Understand about the deprecated endpoint
  - [x] Decide on a strategy for future rewrites of existing page content.
  - [x] Inform GROWI users about the change.

</ContextualBlock>

<ContextualBlock context="help-growi-cloud">

There is nothing to check.

</ContextualBlock>
