# Organization and Member

## What is an Organization?

- An organization is an entity that manages GROWI apps on GROWI.cloud.

## How to Create an Organization

- When you log in for the first time, an organization named `default` will be created.
- You can also create a new organization from the Organization List panel on the [GROWI.cloud dashboard](https://growi.cloud/my) .  
  - When creating an organization, an organization ID is automatically generated.

<img :src="$withBase('/assets/images/en/organization_1.png')" alt="organization_1.png">

### How to confirm the Organization ID

You can confirm the organization ID associated with the organization from the Organization List panel.

<img :src="$withBase('/assets/images/en/organization_2.png')" alt="organization_2.png">

## Modifying an Organization

- Basic information about an organization, such as its name, can be edited from each organization's detail screen.
- You can also change plans, register server certificates and credit cards, and perform other operations from the same screen.  

<img :src="$withBase('/assets/images/en/organization_3.png')" alt="organization_3.png">

## About Organizations and Users

- Each organization is assigned a primary owner.
- The organization has one primary owner, and other users can be added by the primary owner as members.


## What is a Member?

- Users who are added as members of an organization on GROWI.cloud will be able to control the administration screens of the Organization and the GROWI apps managed by the Organization.
- All members of an organization are treated as administrators of the organization and GROWI apps, but there is a difference in privileges between the primary owner and other members.

## What is a Primary Owner?

- The primary owner is the representative user who oversees the organization and has all administrative rights to operate on GROWI.cloud for the organization.
- The Primary Owner can add and delete members of the Organization.

## Differences between the Primary Owner and Members

- Only the primary owner can add and delete users (members) belonging to the organization.
- All other users in the organization can change their registered information.
※Only users who need to manage the organization and applications should be added as members, as changes to plans are also possible.


## Add Members

- You can add users who have already registered with GROWI.cloud as members from your organization's administration page.
- Suggestions will be displayed for an exact match of email address or account name.
  - To be added as a member, you must be a registered user of GROWI.cloud with a Google or GitHub account.

## How to Change the Primary Owner

※Only the user who is the primary owner of the organization can change the primary owner.

- From the "Members" section of the organization details page, check the user who will be set as the primary owner after setting among the members belonging to the organization.
- You can change it by selecting "Change to Primary Owner" from the "User Actions" drop-down menu on the right side of the corresponding user's display.

<img :src="$withBase('/assets/images/en/organization_4.png')" alt="organization_4.png">

- The primary owner can only be selected from members belonging to the organization.
