# Private Wiki

## Private Wiki

- A private wiki is a setting that makes the entire GROWI site unavailable for viewing without logging in.  
- It is assumed that this is an essential feature for internal information sharing sites.
  - In GROWI.cloud, private wikis are available for all plans except the FREE plan.

## Group Management

- A group management function is available on the private wiki to restrict who can view each page.
- See [GROWI Docs](https://docs.growi.org/en/admin-guide/management-cookbook/group.html) for details.

## When a Private Wiki is Open

- If a GROWI App that has been set up as a private wiki under a paid plan is downgraded to a free plan by the owning organization's plan change screen, GROWI will automatically go into public mode.
- If a paid subscription (recurring payment) failure occurs, the GROWI App will only be deactivated and will not be automatically downgraded to a free plan.
- *If you do not continue to use the paid plan at the end of the first month free campaign, you will be automatically force downgraded to the free plan.
  - If a forced downgrade is performed, the GROWI app settings will not be automatically updated, and you will not be automatically converted to an open wiki.



## How to set up a Private Wiki

- Please follow the steps below
    1. Select "Manage" in the upper right corner of the screen of the wiki you are using.
        - The wiki administration page will appear.  
<img :src="$withBase('/assets/images/en/private-wiki_1.png')" alt="private-wiki_1.png">

    2. Select "Security Settings" from the items on the left side of the page.  
<img :src="$withBase('/assets/images/en/private-wiki_2.png')" alt="private-wiki_2.png">

    3. Select "Guest User Access" from the security settings on the page that appears, and select "Deny  
<img :src="$withBase('/assets/images/en/private-wiki_3.png')" alt="private-wiki_3.png">
- This is the end of the procedure for setting up a private wiki.
