# GROWI page layout

This page describes the page layout of GROWI.

<img :src="$withBase('/assets/images/page_layout.png')" alt="">

## 1. GROWI logo

If you want to go to the top page quickly, click this logo.

## 2. Search bar

You can search pages by a keyword from all pages or from the child pages under the tree.

## 3. Notification button

You can receive notifications when pages you subscribe to are updated.
See [Receive in-app notifications](/en/guide/features/in-app-notification.html) for details.

## 4. Create page button

You can easily create a journal-like page that includes the date in the path, or a page using the template.

## 5. Settings button

You can configure the following settings:

- Show/Hide sidebar
- Color mode

## 6. User icon

You can do the following actions:

- Go to your home page
- Set up your account
- Logout

## 7. Sidebar

You can do the following actions:

- View the page tree
- View and edit custom sidebars
- View the history of updates
- View a list of tags and search pages by tags

## 8. Add tag button

You can add tags to a page.

## 9. Page title

The title of the page is displayed here. You can [copy the page path or URL to the clipboard](/en/guide/features/copy_to_clipboard.html) from the button next to the title.

## 10. Page tools buttons

You can do the following operations on the displayed page:

- [Subscribe to a page](/en/guide/features/in-app-notification.html)
- Like
- Bookmark
- [Move/Rename a page](/en/guide/features/page_operation.html)
- [Duplicate a page](/en/guide/features/page_operation.html)
- Switch to presentation mode
- Export in Markdown format
- [View the history of a page](/en/guide/features/history.html)
- View attachments
- Share link management
  - You can manage links to share a private page with unauthorized users.
- Create/Edit a template
- [Delete a page](/en/guide/features/page_operation.html)

## 11. Page toolbar

You can switch between View mode, Edit mode, and [HackMD mode](/en/guide/features/hackmd.html).

## 12. Page list button

Displays pages under the child pages.

## 13. Comment button

Shortcut button to the comment field at the bottom of the page.

## 14. Table of contents

You can jump to the target heading quickly.
