# Using Tags

In GROWI, pages are generally managed using a hierarchical structure called page paths, but it is also possible to manage pages with cross-cutting attributes by attaching tags to them.

Tags make it easier to search for specific pages.

This section explains how to use tags.

## Tagging a page

Navigate to the page where the tags are going to be added.
As you can see in the image below, "Tags" is written on the right side of the page.

<img :src="$withBase('/assets/images/en/tag1.png')" alt="tag1">


Click the "Tags" button to add tags to the page.
When clicked, a window for editing tags will appear as shown in the image below.

<img :src="$withBase('/assets/images/en/tag2.png')" alt="tag2">

In this input field, type the word to use as a tag, then click on the desired tag as shown in the red frame below, or press Enter.

<img :src="$withBase('/assets/images/en/tag3.png')" alt="tag3">


The word will then be enclosed as shown in the image below.

<img :src="$withBase('/assets/images/en/tag4.png')" alt="tag4">


This is the state in which tags are ready to be set. Japanese tags could also be added.
Multiple tags can be added at the same time and can be deleted or edited by clicking the X button on each tag.

<img :src="$withBase('/assets/images/en/tag5.png')" alt="tag5">

When the tags have been set, click the "Done" button as shown in the image below.

<img :src="$withBase('/assets/images/en/tag6.png')" alt="tag6">

Clicking the Done button will successfully add the tags to the page.
Tags attached to a page can be clicked to perform a search.

<img :src="$withBase('/assets/images/en/tag7.png')" alt="tag7">

Clicking on a tag attached to a page will perform a search using the tag.

Pages with the same tag will be displayed in the search results.

<img :src="$withBase('/assets/images/en/tag8.png')" alt="tag8">


## Searching by tag

The magnifying glass icon on the navigation bar can also be used to search for tags.

Click on the search help shown in the search box to see how to search tags.

Use the tag search function to search for tags using queries like `tag:wiki`.

<img :src="$withBase('/assets/images/en/tagsearch1.png')" alt="tagsearch1">

Pages with the tags that have just been set will be displayed in the search results.

<img :src="$withBase('/assets/images/en/tagsearch2.png')" alt="tagsearch2">

Use the tag function to improve the workflow.
