# ユーザー管理

管理画面のユーザ管理から、登録ユーザーを管理できます。

## ユーザーテーブル

ユーザーを一覧表示します。検索フィルターを用いて、username、名前、メールアドレス、ステータスにより表示するユーザーを絞ることができます。

パスワードのリセット、アカウントの削除、停止、管理画面へのアクセス権限の変更等の操作もこのテーブル上で行うことができます。

<img :src="$withBase('/assets/images/user-management1.png')" alt="">

### ステータス

- Active
  - 承認済みユーザー
  - 管理画面へのアクセス権限がある場合は「管理者」ステータスがつきます
- Approval pending
  - 承認待ちユーザー
  - この状態のアカウントはログインできません
  - セキュリティ設定内の ID/Password の認証機構設定にて登録の制限を「制限」にしている場合、新規登録後のユーザーは、管理者によるアカウントの承認が行われるまでこの状態になります。
  - アカウントを有効にするには同テーブルにて「承認する」を実行する必要があります
- Suspended
  - 管理者により利用を停止されたユーザー
  - この状態のアカウントはログインできません
  - 管理画面のユーザー設定のテーブル上で「アカウント停止」を実行されたユーザーはこの状態になります
  - アカウントを有効にするには同テーブルにて「承認する」を実行する必要があります
- Invited
  - 管理者により招待されたユーザー
  - 招待時に利用したメールアドレスおよびパスワードで初回ログインを行うまでこの状態になります
  
### 各種操作

#### パスワードのリセット

ユーザーテーブル右側のドロップダウンから、ユーザーのパスワードをリセットできます。

<img :src="$withBase('/assets/images/user-management2.png')" alt="">

ドロップダウンの編集メニューから、パスワードのリセットを選択するとモーダルが表示されるので、そこに表示されるパスワードリセットの対象ユーザーを確認してください。

<img :src="$withBase('/assets/images/user-management3.png')" width="50%">

パスワードのリセットを押すと新規のパスワードが発行されます。対象ユーザーはこのパスワードを用いてログインしたのち、ユーザー設定( `/me` )のパスワード設定からパスワードを再設定するよう伝えてください。

<img :src="$withBase('/assets/images/user-management4.png')" width="50%">


#### 管理者権限の付与

管理者ステータスを持つユーザーは管理画面へのアクセス、および各種設定ができます。

ユーザーテーブル右側のドロップダウンからユーザーへの管理者権限の付与または削除ができます。

#### 閲覧のみアクセス権の付与

閲覧のみ許可するアクセス権限をユーザーに付与すると、当該ユーザーのページの作成・削除・更新、コメント操作を制限できます。

ユーザーテーブル右側のドロップダウンからユーザーへの閲覧のみアクセス権の付与または削除ができます。

<img :src="$withBase('/assets/images/user-management-read-only.png')" width="20%">

#### アカウントの承認および停止

承認待ちや停止中のアカウントに対し、アカウントを承認できます。アカウントを承認することで、そのアカウントによるログインが可能になります。

承認済みのアカウントを停止できます。停止されたアカウントは、アカウント情報は残りますがログインできません。管理者により再度承認が行われるとログインできるようになります。

#### アカウントの削除

Active ステータスでないアカウントのみ削除できます。削除したユーザーは復元できないので注意してください。

#### 新規ユーザーの仮発行

1. 左のサイドバーから「ユーザー管理」をクリックします。

<img :src="$withBase('/assets/images/user-management6.png')" alt="">

2. **新規ユーザーの仮発行** ボタンを押します。

3. モーダルが開かれるので、発行するユーザーのメールアドレスを入力してください。改行により複数のメールアドレスを指定できます。

4. 発行ボタンを押します

<img :src="$withBase('/assets/images/user-management7.png')" width="50%">

5. 画面上にメールアドレスと仮のパスワードが表示されます

<img :src="$withBase('/assets/images/user-management8.png')" width="50%">

#### 招待メールの再送信

新規ユーザーの仮発行が完了済み、かつアカウントによるログインが未完了のユーザーに対して招待メールを再送できます。

<img :src="$withBase('/assets/images/user-management9.png')" width="50%">

::: tip
GROWIから通知メールを配信する場合は、[管理画面からのメール設定](/ja/admin-guide/management-cookbook/app-settings.html#メールの設定) が必要です。
:::

## 外部アカウント管理

外部アカウントを管理します。外部アカウントとは外部認証機構を利用して登録した時に GROWI アカウントと紐づけられる情報で、紐づくGROWIアカウントが削除されるとそれに紐づく外部アカウントも自動で削除されます。

<img :src="$withBase('/assets/images/user-management5.png')" alt="">

GROWI アカウントのパスワードが未設定の場合、パスワードの設定ステータスが「未設定」と表示されます。その状態の外部アカウントに紐づいた GROWI アカウントは ID/Pass によるログインはできません。その外部アカウントでログインし、個人設定画面からパスワードを設定するか、管理者がそのアカウントのパスワードをリセットすると「設定済み」になります。

外部アカウント管理内のテーブルから外部アカウントの削除ができます。外部アカウントを削除しても GROWI アカウントは削除されません。
