# GROWI v3.4.x へのアップグレード

v3.4 とそれ以前では、動作対象の環境とミドルウェアのバージョンが変更されました。

| GROWI | <= v3.3.x | v3.4.x |
| :---: | :---: | :---: |
| Node.js | v8 | v10 |
| MongoDB | 3.4 | 3.6 |
| Elasticsearch | 5.3 | 6.6 |

<!-- textlint-disable weseek/sentence-length -->
また、[growi-docker-compose](https://github.com/weseek/growi-docker-compose) 利用時に起動する Elasticsearch の Docker イメージは、従来の [docker-library/elasticsearch](https://github.com/docker-library/elasticsearch/blob/6854914f0b890840c75b6db9eeaefbc26177df9c/5/Dockerfile) から、[docker.elastic.co](https://www.docker.elastic.co/) 公式が提供するイメージに変更されました。
<!-- textlint-enable weseek/sentence-length -->
## オンプレミスで利用している場合

### Node.js のアップグレード

1. v10 にアップグレードしてください

### MongoDB のアップグレード

1. 3.6 以降にアップグレードしてください
    - データはそのまま利用できます

### Elasticsearch のアップグレード

1. 6.6 以降にアップグレードし、必要なプラグインをインストールしてください
    - インデックスデータは GROWI の管理画面から再構築可能なので、破棄しても構いません


## [growi-docker-compose](https://github.com/weseek/growi-docker-compose) を利用している場合

1. 既存コンテナの削除

    ```bash
    # MongoDB, Elasticsearch コンテナを削除
    docker-compose rm mongodb elasticsearch
    ```

1. Elasticsearch のボリュームを削除
    ::: danger
    実際のボリューム名は `docker volume ls` で確認してください
    :::

    ```bash
    docker volume rm growi_es_data
    docker volume rm growi_es_plugins
    ```

1. 起動


## 起動後

1. 管理画面の全文検索管理ページ(`/admin/search`)で、インデックスを再構築してください