# GROWI v3.5.x へのアップグレード

v3.5 では、スキーマバージョンが 2 のプラグインをサポートしなくなり、スキーマバージョン 3 のプラグインのみ動作するようになりました。

また、以下の3つの機能が**廃止**されました。

- Basic 認証
- Crowi Classic 認証機構
- [Crowi Template 記法](https://medium.com/crowi-book/crowi-v1-5-0-5a62e7c6be90)

## プラグインについて

::: tip
[公式の Docker イメージ](https://hub.docker.com/r/weseek/growi/)を利用しているシステムには影響はありません
:::

<!-- textlint-disable weseek/sentence-length -->
公式プラグインである [weseek/growi-plugin-lsx](https://github.com/weseek/growi-plugin-lsx) と [weseek/growi-plugin-pukiwiki-like-linker](https://github.com/weseek/growi-plugin-pukiwiki-like-linker) は、スキーマバージョン 3 でリリースされた v3.0.0 へアップグレードしてください。
<!-- textlint-enable weseek/sentence-length -->

### プラグインアップグレード手順

```bash
yarn upgrade growi-plugin-lsx --latest
yarn upgrade growi-plugin-pukiwiki-like-linker --latest
```

## Basic 認証廃止について

::: tip
GROWI の管理画面上で Basic 認証を設定していなかったシステムには影響はありません
:::

::: danger
GROWI の管理画面上で Basic 認証を設定していたシステムは、アップグレード後 Basic 認証で守られなくなります
:::

### アップグレード前にチェックすべきこと

- [x] GROWI の管理画面(セキュリティ設定)で、Basic 認証を設定しているか
- [x] GROWI の管理画面(セキュリティ設定)で、ゲストユーザーへのアクセスはどのような設定になっているか
    - [x] ゲストによる閲覧を許している場合、既存ページに機密性の高い情報はないか

### 代替手段

- Basic 認証が必要な場合は、別途 Apache や nginx 等によるリバースプロキシの設置を検討してください


## Crowi Classic 認証機構の廃止について

::: tip
Passport 認証機構を利用していたシステムは影響ありません
:::

::: danger
Crowi Classic 認証機構を利用していた場合、各ユーザーが行っていた Google OAuth 認証連携の設定は無効になります
:::

### 影響

- GROWI v3.5.x 以降、デフォルトで自動的に Passport 認証機構を利用するようになります
- ユーザー名/Email とパスワードによるログインを行っていたユーザーは、これまで同様の操作でログイン可能です
- Google OAuth 認証連携は無効になります
    - ユーザー名/Email とパスワードを忘れているユーザーはログインできなくなります

### アップグレード前にチェックすべきこと

- [x] Google OAuth によるログインを常用しているユーザーがいないか
    - [x] 当該ユーザーの中に、ユーザー名/Email とパスワードを忘れているユーザーがいないか
        - [x] 当該ユーザーにパスワードを再発行し、正常にログインできることを確認したか
- [x] v3.5 以降へのバージョンアップ前に Passport 認証機構への切り替え期間を設けられないか

### 代替手段

- Passport 認証機構への切り替え後、管理画面(セキュリティ設定)で新たに Google OAuth を設定する


## Crowi Template 記法廃止について

::: warning
Crowi Template 記法は処理されなくなります
:::

### アップグレード前にチェックすべきこと

- [x] Crowi Template 記法を常用しているユーザーがいないか

### 代替手段

- GROWI が搭載している「同一階層テンプレート」「下位層テンプレート」での運用を検討してください

