# GROWI v3.6.x へのアップグレード

v3.6 では、Node.js v8 はサポートされなくなりました。

また v3.5 より下位のバージョンには、誤って2つのデータベースが作成されてしまうバグ([weseek/growi#1361](https://github.com/weseek/growi/issues/1361))が存在します。

## Node.js v8 のサポートを終了

::: tip
[公式の Docker イメージ](https://hub.docker.com/r/weseek/growi/)を利用しているシステムには影響はありません
:::

### Node.js のアップグレード

1. v10 または v12 にアップグレードしてください

## [weseek/growi#1361](https://github.com/weseek/growi/issues/1361) の回避

::: warning
この問題は、`MONGO_URI` が、`?key=value` 形式のパラメータを含む URL で運用していた場合に限り影響があります
:::

### とにかくアップグレード

- 通常通りアップグレードしてください
- 影響
    - これまでの累積 migration が再度実行されます
    <!-- textlint-disable weseek/no-doubled-joshi -->
    - 設計上は問題ないはずですが、不整合があるデータが書き換わる可能性があります
    <!-- textlint-enable weseek/no-doubled-joshi -->

### 安全なアップグレード

- `migrations` コレクションを移植します。
`mongodump`, `mongorestore` を使える環境で以下を実行してください。
`{dbname}`, `{dbname?key=value}` は、実際の環境のDB名に置き換えてください。

    ```bash
    mongodump -d {dbname?key=value} -c migrations -o backup
    ```

    ```bash
    mongorestore -d {dbname} -c migrations "./backup/{dbname?key=value}/migrations.bson"
    ```

- 不要な DB を drop します。mongo shell 内で以下を実行してください。
`{dbname?key=value}` は、実際の環境のDB名に置き換えてください。
    ```
    use {dbname?key=value}
    db.dropDatabase()
    ```

### アップグレード前にチェックすべきこと

- [x] 運用中のシステムにセットしている `MONGO_URI` が、`?key=value` 形式のパラメータを含むか
- [x] 運用中のシステムが接続している MongoDB に、`?key=value` 形式のパラメータを名前に含むデータベースが存在するか

