# GROWI v3.8.x へのアップグレード

Elasticsearch 利用時の Healthcheck の方法が変更されました。


## Elasticsearch に於ける Healthcheck 方法の変更

::: tip

- Elasticsearch を利用していない環境 あるいは X-Pack を利用したロールベースのアクセスコントロールを行っていない環境では影響はありません。
- [Healthcheck API](https://docs.growi.org/redoc.html#tag/Healthcheck) を利用した死活監視をしていない環境では影響はありません。
:::

GROWI v3.7 までの [Healthcheck API](https://docs.growi.org/redoc.html#tag/Healthcheck) では、Elasticsearch の情報取得に [Nodes info API](https://www.elastic.co/guide/en/elasticsearch/reference/current/cluster-nodes-info.html) を利用していました。しかし、この API の利用には `cluster:monitor/nodes/info` というかなり強い Privilege が必要となります。そのため、GROWI v3.8 以降は [Cluster health API](https://www.elastic.co/guide/en/elasticsearch/reference/current/cluster-health.html) を使う仕様に変更しました。

これに伴い、X-Pack の設定では `cluster:monitor/health` Privilege が必要となりました。


### 要求される Privilege の変更

以下の両方を行ってください。

1. Elasticsearch の認証ユーザーのロールに、`cluster:monitor/health` Privilege を追加する
2. Elasticsearch の認証ユーザーに `cluster:monitor/nodes/info` Privilege が必要でない場合はロールから削除する

参考ページ: [Elasticsearch Reference: User authorization](https://www.elastic.co/guide/en/elasticsearch/reference/current/authorization.html)

### アップグレード前にチェックすべきこと

- [x] Elasticsearch を利用しており、かつ X-Pack を利用した Role ベースのアクセスコントロールを行っているか
- [x] Elasticsearch の認証ユーザーが `cluster:monitor/health` Privilege をもっているか
- [x] Healthcheck API を利用した死活監視をしているか

