# GROWI v4.0.x へのアップグレード

CSS フレームワークが Bootstrap 3 系から 4 系に変更され、
それに伴ってシステム全体のレイアウト機構とテーマ機構が一新されました。

## Crowi Classic Layout の廃止

::: tip

- Crowi Classic Layout を利用していない環境では影響はありません。
  - クリーンインストール後のデフォルト設定は「GROWI Enhanced Layout」となっています
:::

これまで Crowi Classic Layout を利用していた環境の設定は、バージョンアップ時に自動的に GROWI Enhanced Layout に変更されます。

### アップグレード前にチェックすべきこと

- [x] 管理画面のカスタマイズ設定に於いて、レイアウト設定が Crowi Classic Layout に設定されているか
- [x] GROWI の利用者にレイアウト変更の周知がされているか


## Crowi Classic Behavior の廃止

::: tip

- Crowi Classic Behavior を利用していない環境では影響はありません。
  - v3.8 系までのクリーンインストール後のデフォルト設定は「GROWI Simplified Behavior」 となっています。
:::

Behavior (動作機構) の選択機能は、v4.0.0 で廃止されました。  
これまで Crowi Classic Behavior を利用していた環境の設定は、バージョンアップ時に自動的に 旧 GROWI Simplified Behavior に変更されます。これ以降、管理画面からは切り替えが行えなくなります。

### アップグレード前にチェックすべきこと

- [x] 管理画面のカスタマイズ設定に於いて、動作設定が Crowi Classic Behavior に設定されているか
- [x] GROWI の利用者にシステムの挙動変更の周知がされているか



## テーマの統合

::: tip

- default-dark テーマを利用していない環境では影響はありません。
- blue-night テーマを利用していない環境では影響はありません。
:::

v4.0.0 ではダークモードをサポートするようになり、一部のテーマでユーザーが選択的に「ライトモード」「ダークモード」を切り替えられるようになりました。

そのため、旧 default-dark テーマは新しい default テーマのダークモードに、旧 blue-night テーマは mono-blue テーマのダークモードに統合されました。

default-dark テーマ、blue-night テーマを利用していた環境の設定は、バージョンアップ時にそれぞれ自動的に default テーマ、mono-blue テーマに変更されます。

### アップグレード前にチェックすべきこと

- [x] 管理画面のカスタマイズ設定に置いて、default-dark テーマおよび blue-night テーマを利用しているか
- [x] GROWI の利用者にテーマ変更とダークモードサポートに関する周知がされているか
