# GROWI v4.3.x へのアップグレード

v4.3 では、パッケージ管理に lerna を利用するようになりました。

<!-- textlint-disable weseek/sentence-length -->
また、本体がいくつかのオフィシャルプラグイン([growi-plugin-lsx](https://github.com/weseek/growi-plugin-lsx), [growi-plugin-pukiwiki-like-linker](https://github.com/weseek/growi-plugin-pukiwiki-like-linker) および [growi-plugin-attachment-refs](https://github.com/weseek/growi-plugin-attachment-refs))を初期状態で含むようになりました。
<!-- textlint-enable weseek/sentence-length -->  
それに伴って、利用者側で上記プラグインを追加してビルドする必要がなくなりました。


## ビルド手順の変更

::: warning
この項目の内容は、利用者が GitHub で公開されているソースコードから自身でビルドを行っている場合に必要です。  
公式 docker イメージを利用している方は必要ありません。  

:::

1. 依存関係のインストールには、`yarn install` の代わりに `npx lerna bootstrap` を利用してください
1. ビルド手順に以下のようなコードがある場合は削除してください
    - `yarn add growi-plugin-lsx`
    - `yarn add growi-plugin-pukiwiki-like-linker`
    - `yarn add growi-plugin-attachment-refs`
    - `yarn add -D react-images@1.0.0 react-motion`


## 新しい Slack 連携について (2021.09.08 追記)

::: warning

v4.3 では Slackbot を利用した新しい Slack 連携機能を実装しましたが、実用に耐えうる品質ではなかったため v4.4 系で改めて後方互換を確保しない形でリファクタを行いました。  
そのため、v4.3 系での Slackbot の機能は今後利用できません。

新しい Slack 連携機能を利用したい方は、v4.4 系へのアップグレードを行ってください。

:::

## アップグレード前にチェックすべきこと

- [x] GROWI のビルドは自身で行っているか
- [x] プラグイン関連パッケージを `yarn add` するコードを追加していないか

