# GROWI v6.3.x へのアップグレード

GROWI v6.3 では、新機能(ベータ)として「LDAP/Keycloak からのユーザー・ユーザーグループのインポートおよび同期」機能を搭載しました。

<ContextualBlock context="docs-growi-org">

また、古いシステムとの互換性のために維持されていた MongoDB GridFS のためのエンドポイントを廃止しました。

</ContextualBlock>

## 目次

[[toc]]

<ContextualBlock context="docs-growi-org">

## [廃止] v3.3 以前で利用されていた MongoDB GridFS 用のエンドポイントを削除

::: tip
GROWI v3.3 系以前に構築され、添付ファイルを MongoDB GridFS で管理していたシステムのみ影響を受けます
:::

MongoDB GridFS によるファイルアップロード設定された v3.3 系以前のシステムでは、ファイルをアップロードした際には `/attachment/{pageID}/{fileName}` という URL で参照される仕様になっていました。

今回のアップグレードではこのエンドポイントが廃止されたため、この URL で参照されているファイルは参照不可能になります。

マークダウン中にそのような URL を含んでいるページは `/attachment/{attachmentId}` 形式に書き換えるか、またはファイルをアップロードし直してください。

</ContextualBlock>

## LDAP/Keycloak からのユーザー・ユーザーグループのインポートおよび同期 (ベータ)

GROWI v6.3 では、外部システムで管理しているユーザーとユーザーグループのデータを GROWI にインポートできる機能を搭載しました。
インポートは LDAP サーバーまたは Keycloak から選択できます。LDAP と連携した Keycloak も対象になります。
またこの機能は、一度インポートしたユーザーおよびユーザーグループに対する変更を追跡し、同期させることもできます。

- インポートおよび同期は、管理画面からの操作で実行できます
- **2023.12.14 時点では、ドキュメントは執筆中です**
  - 主な外部仕様は [Dev Wiki | /資料/外部仕様/LDAPグループ同期](https://dev.growi.org/646d5637019e02272a42cf86) をご覧ください


## アップグレード前にチェックすべきこと

<ContextualBlock context="docs-growi-org">

- [x] GROWI v3.3 系以前に構築され、添付ファイルを MongoDB GridFS で管理していたシステムか
  - [x] 廃止されるエンドポイントについて理解したか
  - [x] アクセス不能になる添付ファイルついて、対応を検討したか
  - [x] ユーザーに周知したか

</ContextualBlock>

<ContextualBlock context="help-growi-cloud">

チェックすべき事項はありません。

</ContextualBlock>

