---
title: GROWI v7.0.x へのアップグレード
---


# GROWI v7 へようこそ！

GROWI はこの度 v4.2 以来の Look & Feel を一新し、シンプルかつモダンな装いに生まれ変わりました。
新しいレイアウト、新しいテーマ、そして新たな UX を是非体験してください。

<ContextualBlock context="docs-growi-org">

::: tip
v7.0 ではクライアントサイドに大幅な刷新があり、残念ながら現時点では挙動が不安定な部分もあります。
今後のアップデートで安定化を図っていきますので、そこに貢献していただけるユーザーのみなさまは是非 v7.0 をお試しください。

数百人以上の規模のユーザーでご利用いただいている組織や日々の業務で安定した挙動を求める方は、v7.1 がリリースされるまでは v6.3 系のご利用をおすすめします。
:::

</ContextualBlock>


# GROWI v7.0.x へのアップグレード

<ContextualBlock context="docs-growi-org">

サポート対象の実行環境のバージョンが変更されました。

| GROWI | <= v6.3.x | v7.0.x |
| :---: | :---: | :---: |
| Node.js | 16, 18 | 18, 20 |

管理者の方は現在の環境で利用しているバージョンを確認してからアップグレードしてください。

</ContextualBlock>


## 目次

[[toc]]


## 管理者向け

### v6.x 系へのダウングレードについて

フロントエンドフレームワークとして利用している Bootstrap のバージョンが v4.6 から v5.3 にアップグレードされたことで、
Markdown 文書中に Bootstrap の記法を利用して記述されている HTML タグが在る場合は影響を受けます。

この後の [Bootstrap のバージョンが v5 系にアップグレード](#仕様変更-bootstrap-のバージョンが-v5-系にアップグレード) のセクションをご覧ください。

それ以外に注意すべき点は特にありません。

<ContextualBlock context="docs-growi-org">

### Node.js v16 のサポートを終了

::: tip

- [公式の Docker イメージ](https://hub.docker.com/r/weseek/growi/)を利用しているシステムには影響はありません
:::

- v18 または v20 にアップグレードしてください

</ContextualBlock>


### Bootstrap 5 にアップグレード

フロントエンドフレームワークとして利用している Bootstrap のバージョンが v4.6 から v5.3 にアップグレードされました。
Markdown 文書中に Bootstrap の記法を利用して記述されている HTML タグが在る場合は影響を受けます。

Bootstrap 公式の [v5で変更された内容](https://getbootstrap.jp/docs/5.3/migration/) を確認してください。

<ContextualBlock context="docs-growi-org">

::: tip
以前の記法を使って保存されたページの内容は、GROWI 本体をアップグレードしても自動では変更されません。  
マークダウン文書を一括で新しい記法に書き換えるためのスクリプトを利用するには、次のディスカッションを参照してください。  
<https://github.com/weseek/growi/discussions/7180>
:::

</ContextualBlock>

<ContextualBlock context="help-growi-cloud">

::: tip
以前の記法を使って保存されたページの内容は、GROWI のバージョンをアップグレードしても自動では変更されません。  
GROWI.cloud サービスデスクにご依頼をいただくことで、記法の一括変換を実施させていただきますので、ご希望の方は [お問い合わせ](https://growi.cloud/contact) ください。
:::

</ContextualBlock>


### [廃止を伴う仕様変更] HackMD 連携機能の廃止

HackMD と連携して同時多人数編集できる機能は廃止されました。

GROWI v7 では代わりにビルトインのエディタで同時多人数編集が可能になりました。詳しくは [ビルトインエディタによる同時多人数編集](#ビルトインエディタによる同時多人数編集) セクションをご覧ください。

<ContextualBlock context="docs-growi-org">

### [廃止を伴う仕様変更] Promster 連携機能の廃止

Promster と連携する機能は廃止されました。

</ContextualBlock>


## 利用者向け

### [新機能] WIP ページ

ページを作成・更新したときに WIP (Work In Progress) ページとして保存できるようになりました。
詳しくは [WIP ページ](/ja/guide/features/wip-page.html) をご覧ください。

### [仕様変更] 新規ページ作成導線および挙動の変更

新しくページを作成するためのボタンが、画面上部のナビバーから画面左上のサイドバー内に移動しました。
また、ボタンを押した時の挙動も変わっています。

- v6 まで
  - 編集画面を表示したときにはまだページデータは未作成
  - 保存操作でページデータを作成
- v7 以降
  - 編集画面を表示した際には「無題のページ-1」のようなタイトルで WIP ページを作成

#### 中身のない新規 WIP ページの自動削除

新規作成されたページが WIP ページであり、かつ本文を持たない場合、作成から一定時間(デフォルトでは48時間)が経過すると自動削除されます。
ただし、新規作成後に一度でもページタイトルが変更された場合やページ本文がある場合、そして WIP 状態が解除されたページは削除の対象になりません。

<ContextualBlock context="docs-growi-org">

::: tip
自動削除までの期間は環境変数 `WIP_PAGE_EXPIRATION_SECONDS` で変更できます。
:::

</ContextualBlock>

### [新機能] ビルトインエディタによる同時多人数編集

GROWI がビルトインで搭載しているエディタで同時多人数編集できるようになりました。
詳しくは [ビルトインエディターによる同時多人数編集 (v7.x 以降)](/ja/guide/features/built-in-editor.md) をご覧ください。

### [仕様変更] 全文検索

全文検索機能を呼び出す場所、使い方が変わりました。詳しくは [ページを検索する](/ja/guide/features/search.html) をご覧ください。

### [仕様変更] エディタのテーマ

エディタのテーマが一新されました。v6 以前と同様、アプリ全体のテーマとは別に個々のユーザーが各々自身の環境に合うテーマを選択できます。

ライトモード対応のテーマ、ダークモード対応のテーマがそれぞれ5種類ずつ用意されています。

### [未実装] クリスマステーマ

サンタクロースは休暇に入っており、クリスマステーマは現時点では無効化されています。2024年中に実装予定です。

利用している場合はバージョンアップ前またはバージョンアップ後に管理画面で他のテーマに変更してください。


## アップグレード前にチェックすべきこと

<ContextualBlock context="docs-growi-org">

- [x] Node.js v18 以上を利用しているか
- [x] Bootstrap 4 から 5 への記法変更について
  - [x] ユーザーに周知をしたか
  - [x] 既存のページ内容について、今後の書き換えの戦略は決定したか
<!-- textlint-disable weseek/max-kanji-continuous-len -->
- [x] 新しい同時多人数編集機能と、v6 まで利用していた HackMD サーバーについて
  - [x] ユーザーに周知をしたか
  - [x] HackMD サーバーの縮退の戦略は決定したか
<!-- textlint-enable weseek/max-kanji-continuous-len -->
- [x] Promster 連携機能の廃止で監視等についての問題は起こらないことを確認したか
- [x] 新規ページ作成導線および挙動の変更、WIP ページについて
  - [x] ユーザーに周知をしたか
- [x] 中身のない新規 WIP ページの自動削除について
  - [x] ユーザーに周知をしたか
- [x] 全文検索について
  - [x] ユーザーに周知をしたか
- [x] クリスマステーマについて
  - [x] 現状でクリスマステーマを利用していないか

</ContextualBlock>


<ContextualBlock context="help-growi-cloud">

- [x] Bootstrap 4 から 5 への記法変更について
  - [x] ユーザーに周知をしたか
  - [x] 既存のページ内容について、今後の書き換えの戦略は決定したか
<!-- textlint-disable weseek/max-kanji-continuous-len -->
- [x] 新しい同時多人数編集機能について
  - [x] ユーザーに周知をしたか
- [x] 新規ページ作成導線および挙動の変更、WIP ページについて
  - [x] ユーザーに周知をしたか
- [x] 中身のない新規 WIP ページの自動削除について
  - [x] ユーザーに周知をしたか
- [x] 全文検索について
  - [x] ユーザーに周知をしたか
- [x] クリスマステーマについて
  - [x] 現状でクリスマステーマを利用していないか

</ContextualBlock>
