## アカウントのみの作成

GROWI.cloud に登録されている組織へ GROWI.cloud のユーザーアカウントを登録していないメンバーを追加する場合、ユーザーアカウントのみを登録して組織に追加できます。
※通常のユーザー登録では、組織の作成とトライアルの開始を求められます。

本ページでは前述の意図でユーザーアカウントのみを登録する手順をご案内します。  
組織へのメンバー追加方法については、別ページで詳しく解説しておりますのでご参照ください。  
> [メンバーの追加](/ja/cloud/organization.html#メンバーの追加)

なおユーザー作成には以下のいずれかが必要です。

- 外部サービスのアカウントを用いて登録する場合
  - Google アカウント
  - GitHub アカウント
- メールアドレスを用いて登録する場合
  - 受信可能なメールアドレス

## 作成方法

### ユーザーアカウントのみを作成するページにアクセス

<a rel="noopener noref" target="_blank" href="https://growi.cloud/create-account-only">GROWI.cloud アカウント作成画面</a> にアクセスします。

アクセスすると下の画像のページが表示されます。  
<img :src="$withBase('/assets/images/ja/createaccount_4.png')" alt="createaccount_4.png">

上記ページには、 <a rel="noopener noref" target="_blank" href="https://growi.cloud/login">GROWI.cloud ログイン画面</a> にある `既存の組織に参加するアカウントの作成はこちら` リンクからもアクセスできます。  

<img :src="$withBase('/assets/images/ja/createaccount_5.png')" alt="createaccount_5.png">

### Google または GitHub アカウントを用いて作成する場合

1. GROWI.cloud アカウント作成画面に、 `Google で登録` ボタン と `GitHub で登録` ボタンが表示されています
1. Google アカウントを使用して登録する場合、`Google で登録` ボタンを押します
    - GitHub アカウントの場合は `GitHub で登録` ボタンを押します
1. 外部アカウントの認証画面に移動するため、アカウントの認証を完了させます
    - アクセスしているブラウザのウインドウでログイン済みですと、スキップされる場合もあります
1. アカウントの認証が完了すると、下の画像のページが表示されます  
    <img :src="$withBase('/assets/images/ja/createaccount_1.png')" alt="createaccount_1.png">
1. 以上で、GROWI.cloud アカウントの作成は完了です
    - 引き続き、追加していただく組織のの管理者にメンバー追加をご依頼ください

### メールアドレスを用いて作成する場合

1. GROWI.cloud アカウント作成画面に、メールアドレスを入力するフォームがありますので、メールアドレスを入力してください
1. メールアドレス入力欄の下にある「送信」ボタンを押すと入力していただいたメールアドレスに `GROWI.cloud サービス仮登録` というタイトルのメールが届きます
1. メールの本文に `パスワードを登録する` というボタンがありますので、ボタンをクリックします  
    <img :src="$withBase('/assets/images/ja/createaccount_2.png')" alt="createaccount_2.png">
1. `パスワード登録ページ` が表示されますので、フォームにパスワードを入力して `パスワードを登録` ボタンをクリックします  
    <img :src="$withBase('/assets/images/ja/createaccount_3.png')" alt="createaccount_3.png">
1. パスワードの登録が完了すると、下の画像のページが表示されます  
    <img :src="$withBase('/assets/images/ja/createaccount_1.png')" alt="createaccount_1.png">
1. 以上で、GROWI.cloud アカウントの作成は完了です
    - 引き続き、追加していただく組織のの管理者にメンバー追加をご依頼ください

## 登録がうまくいかない場合

### Google または GitHub アカウントでの登録に失敗する場合

まずは該当アカウントのトラブルシューティングを行ってください。  
該当アカウントのトラブルシュートが解決したうえで、問題が解決しない場合にはサポートまでお問い合わせください。

- [お問い合わせフォーム](https://growi.cloud/contact)

### メールアドレス登録でメールが届かない場合

メールが届かない場合は、既に GROWI.cloud サービスに登録済みのメールアドレスと重複している (仮登録や、外部アカウントを用いた登録も含む) 場合や、メールアドレスの誤入力が疑われます。  
まずはお客様ご自身でご確認いただき、その上で不明な場合はサポートまでお問い合わせください。  

- [お問い合わせフォーム](https://growi.cloud/contact)
