# 組織とメンバー

## 組織とは何ですか？

- GROWI.cloud 上で GROWI アプリを管理する組織のことを指します。

## 組織の作成方法

- 無料トライアルを開始する際に組織の作成画面が表示され、任意の組織を作成できます。
- また [GROWI.cloud のダッシュボード](https://growi.cloud/my) の組織一覧パネルからも任意の組織を新たに作成できます。
  - 組織を作成すると、自動的に組織 ID が生成されます。

<img :src="$withBase('/assets/images/ja/organization_1.png')" alt="organization_1.png">

### 組織 ID の確認方法

組織に紐づく組織 ID は組織一覧パネルからご確認いただけます。

<img :src="$withBase('/assets/images/ja/organization_2.png')" alt="organization_2.png">

## 組織の変更

- 組織名など組織の基本情報は、各組織の詳細画面から編集できます。
- また、同画面からプランの変更やサーバー証明書、クレジットカードの登録等の各種操作もできます。  

<img :src="$withBase('/assets/images/ja/organization_3.png')" alt="organization_3.png">

## 組織とメンバーについて

- 組織には、プライマリーオーナーがひとり設定されます。
- また、プライマリーオーナーによって追加可能なその他のユーザーをメンバーとして所属させることができます。

## プライマリーオーナーとは

- 組織に対して GROWI.cloud 上で操作可能な全ての管理権限を持つ、組織を統括する代表ユーザーです。
- プライマリーオーナーは、組織のメンバー追加および削除の操作ができます。

## メンバーとは

- GROWI.cloud 上の組織にメンバーとして追加されたユーザーは、組織および組織が管理する GROWI アプリの管理画面を操作できるようになります。
- 組織のメンバーは全て組織および GROWI アプリの管理者として扱われますが、プライマリーオーナーとその他のメンバーには権限の差があります。

## プライマリーオーナーとその他メンバーとの違い

- 組織に所属するユーザー(メンバー)の追加・削除ができるのはプライマリーオーナーのみ可能です。
- その他の登録内容の変更は組織内の全ての所属ユーザーで実施できます。
  - ※プランの変更等も可能ですので、組織およびアプリの管理する必要があるユーザーのみをメンバーとして追加してください。
    - その他、組織のメンバーのロール(管理の権限)についてご要望がございましたら、 [サポートデスク](https://growicloud.atlassian.net/servicedesk/customer/portal/1/group/3/create/10003) よりお問い合わせください。

## メンバーの追加

- GROWI.cloud へ登録済みのユーザーを組織の管理画面からメンバーとして追加できます。
- メールアドレスまたはアカウント名の完全一致でサジェストが表示されます。
  - メンバーに追加するためには、予め Google アカウント、もしくは GitHub アカウントを用いて GROWI.cloud にユーザー登録されている必要があります。

### プライマリーオーナーの変更方法

- プライマリーオーナーの変更は、組織のプライマリーオーナーになっているユーザーのみ行えます。
  - 組織詳細ページの「メンバー」セクションから、組織に所属しているメンバーのうち設定後のプライマリーオーナーに設定するユーザーを確認
  - 該当ユーザーの表示右側にある「ユーザー操作」のドロップダウンメニューから、「プライマリーオーナーに変更する」を選択して変更できます
- 変更先のプライマリーオーナーは、組織に所属しているメンバーからのみ選択できます。
