# 意図しない対外への公開を防ぐ安全機能

## 概要

GROWI.cloud では、非公開だった GROWI が意図せず公開されることを防ぐための安全機能を有しております。

## 目的

お客様により GROWI へ入力された情報が、誤操作により意図せず対外的に公開される事態を防ぐためです。

## 機能説明

当機能では、過去に一度でも非公開の設定で起動していた GROWI に対し、公開設定となるような変更が行われた際に GROWI を停止します。

停止された GROWI は以下に記載の「GROWIが非公開設定となるプラン」のいずれかを契約されない限り、基本的にはお客様自身の操作では起動できなくなります。

もし、公開設定となることを了承された上で、当該の GROWI を起動したい場合には GROWI.cloud サポートまでお問い合わせください。
[GROWI.cloud サポートへのお問い合わせはこちら](https://growi.cloud/contact)

## GROWIが非公開設定となるプラン

以下のプランを契約している組織で起動された GROWI は非公開設定となります。

- 個人向けプラン
  - ライト
  - バリュー
- 法人向けプラン
  - ベーシック
  - ビジネススタンダード
  - ビジネスプロ
- 旧プラン(※現在は新規にご契約いただけません)
  - スタンダード
  - ビジネス

## GROWIが公開設定となるプラン

- フリープラン

## GROWIが起動できなくなるケース

以下のケースでは、本機能が働き、GROWI を起動できなくなります。

### ケース1:お客様の操作によるフリープランへのプラン変更(ダウングレード)

1. ビジネススタンダードプランを契約した組織で GROWI を起動して利用する
1. 組織をフリープランにダウングレードする

### ケース2:支払い失敗によるフリープランへの強制ダウングレード

- 支払いが失敗すると GROWI が停止されプランは強制的にフリープランへダウングレードされます

### ケース3:支払い方法を登録せずにトライアル終了を迎えた場合

- トライアル終了時に支払い方法が登録されていない場合、「支払い失敗」というステータスに変わり、フリープランへのダウングレードが実行され、当該の GROWI は停止されます

## 停止したGROWIを起動する方法

当機能により停止した GROWI は以下のいずれかの方法で起動できます。

1. 再度、上記のプランに変更し非公開設定で運用いただく
2. GROWI.cloud サポートまでお問い合わせいただく
    - お問い合わせいただいた後、停止中の GROWI を強制起動できるように対応いたします
        - ただし、強制的に起動させる設定は一時的なものとなっているため、強制起動後の GROWI ではプランが変更されない限りバージョンやドメインなどの設定変更を行えません
        - 強制起動後に GROWI をフリープランのまま運用したい場合は、お手数ではございますがその旨を含め GROWI.cloud サポートまでお問い合わせください
    - [GROWI.cloud サポートへのお問い合わせはこちら](https://growi.cloud/contact)
