# SSL サーバ証明書

## SSL サーバ証明書

- GROWI.cloud では GROWI のドメインにお客様ご自身で取得した任意のドメイン (以後、独自ドメインと記載) を指定できます。
- このページでは、独自ドメインで GROWI を公開する際に必要な SSL サーバ証明書についてのサポート情報を記載します。

### 証明書の追加／更新

#### 注意事項

- 秘密鍵にはパスワードをつけないでください
  - SSL サーバ証明書用に登録されている秘密鍵ファイルにパスワードがかかっていることが原因で、証明書と秘密鍵が正しく機能せず、GROWI がご利用いただけないことがあります。
  - SSL サーバ証明書用にご登録いただく秘密鍵には、パスワードを設定しないようご注意願います。

#### 追加方法

- 以下の手順で証明書をご登録ください
    1. GROWI.cloud のマイページにあるサイドバーから SSL サーバー証明書を登録したい組織を選択
    1. 手順 1 で選択した組織の詳細ページにある「 SSL サーバー証明書 」の「追加する」を選択  
<img :src="$withBase('/assets/images/ja/ssl_1.png')" alt="ssl_1.png">
    1. 「 SSL サーバー証明書 」と「 秘密鍵 」に、ご用意いただいたファイルを選択し「 追加 」ボタンを押下  
<img :src="$withBase('/assets/images/ja/ssl_2.png')" alt="ssl_2.png">

### 中間証明書がある場合

#### 事前準備

- 以下の2点をご準備ください
  - ルート証明書と中間証明書を結合させたファイル
  - 秘密鍵が入ったファイル

#### 追加方法

- 上記「証明書の追加方法」の手順 3 で、「SSL サーバー証明書」に「ルート証明書と中間証明書を結合させたファイル」をご選択いただければ、中間証明書がある場合の独自ドメイン用証明書が追加されます。


#### 証明書の更新を行うAPIについて

- 証明書更新の際は、GROWI.cloud 画面上での操作が必要です。
  - ※今後の API 実装予定については未定です。
