# ページを検索する

<ContextualBlock context="docs-growi-org">

:::warning
この機能を利用するには、検索用DBとして Elasticsearch をセッティングする必要があります。設定方法は [こちら](/ja/admin-guide/management-cookbook/setup-search-system.html)
:::

</ContextualBlock>

ナビゲーションバーの虫眼鏡アイコンをクリックすることで検索モーダルを開くことができます。

<img :src="$withBase('/assets/images/ja/search1.png')" alt="search1">

モーダル内の検索バーにキーワードを入力することで、ページパス、本文、タグによりページを検索できます。

<img :src="$withBase('/assets/images/ja/search2.png')" alt="search2">

検索対象には、「全てのページ」「この階層下の子ページのみ」「キーワードに完全一致した文字を含むページのみ」を選択できます。
なお、キーワードを入力した時点で、該当のページの候補が表示されるため、ページの候補から直接ページにアクセス可能です。

<img :src="$withBase('/assets/images/ja/search3.png')" alt="search3">

## 検索結果ページ

検索モーダルでキーワードを入力し、Enter(return) キーを押すと、以下のような検索結果一覧画面に遷移します。

<img :src="$withBase('/assets/images/ja/search4.png')" alt="search4">

- ページ名のリスト
  - 画面左側に、検索にヒットしたページ名のリストが表示されます。
  - ページ名の左側にはそのページの最終更新者のプロフィール画像が表示されます。
  - ページ名をクリックすると画面右部にそのページのプレビューが表示されます。
  - ページ名の右側にはそのページのいいね数、コメント数、公開範囲の有無などのメタ情報がアイコンで表示されます。
    - 公開範囲が制限されているページの表示に関しては管理画面のセキュリティ設定から設定できます。
  - リスト上部にある「一括削除」を押すと、チェックマークを付けたページを一括削除できます。

- ページのプレビュー
  - 画面右側には検索にヒットしたページパスのプレビューが表示されます。
  - ページ名をクリックするとそのページに遷移できます。
  - ページが持っているタグも表示されます。
  - そのページへの閲覧権限がない場合、プレビューは表示されません。

### 検索オプション

検索時は以下のような表記でオプションを指定できます。オプションは併用可能です。

| オプション                         | 概要                                                                                                                                                                                               |
| ---------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                                    |                                                                                                                                                                                                    |
| 複数のキーワードによる検索         | スペースを挟んで複数単語を指定するとページ名か本文にそれら全てを含むページを検索します。<br />例えば `word1 word2` とすると、ページ名か本文に `word1` , `word2` の両方を含むページを検索します。   |
| 指定の文章を本文に含むページを検索 | ダブルクウォートで文章を挟むと、その文章を本文に含むページを検索します。<br />例えば、 `"This is GROWI"` とすると、 `This is GROWI` を本文に含むページを検索します。                               |
| キーワードによる除外               | 半角のハイフン `-` の後にキーワードを指定すると、ページ名か本文にそのキーワードを含むページを除外します。<br />例えば、 `-keyword` とすると、ページ名か本文に `keyword` を含むページを除外します。 |
| ページ名の先頭一致による検索       | `prefix:` の後にページ名を指定すると、そのページ名から始まるページを検索します。<br />例えば、 `prefix:/user/` とすると、ページ名が `/user/` から始まるページを検索します。                        |
| ページ名の先頭一致による除外       | `-prefix:` の後にページ名を指定すると、そのページ名から始まるページを除外します。<br /> 例えば `-prefix:/user/` とすると、ページ名が `/user/` から始まるページを除外します。                       |
| タグによる検索                     | `tag:` の後にタグを指定すると、そのタグを含むページを検索します。 <br />例えば `tag:wiki` とすると、 `wiki` というタグを含むページを検索します。                                                   |
| タグによる除外                     | `-tag:` の後にタグを指定すると、そのタグを含むページを除外します。 <br />例えば `-tag:wiki` とすると、 `wiki` というタグを含むページを除外します。                                                       |
<!-- textlint-disable weseek/no-doubled-conjunction -->
<!-- textlint-disable weseek/ja-no-mixed-period -->

### GROWI v6 系以前のバージョンでのページ検索方法

ナビゲーションバーの検索バーから、ページパス、本文、タグによりページを検索できます。(検索のための環境が未完了の場合は表示されません。)

<img :src="$withBase('/assets/images/ja/search5.png')" alt="search5">

検索バーにキーワードを入力すると、以下のようにページパスがキーワードと部分的に一致するページの候補が表示されます。この候補からページにアクセスできます。

また、検索バー内の虫眼鏡アイコンもしくは Enter(return) キー押下により、ページパスまたは本文にキーワードを含むページが一覧表示されます。この時、検索バー左側のドロップダウンから「全てのページ」か「この階層下の子ページ」を選択することで、検索範囲を変更できます。

<img :src="$withBase('/assets/images/ja/search6.png')" alt="search6">
